package com.yeejoin.amos.boot.module.tzs.api.service;


import com.alibaba.fastjson.JSONObject;

/**
 * 微信公众号服务类
 */
public interface IWechatService {

    /**
     * 获取token
     * @return
     */
    String getAccessToken();

    /**
     * 获取微信openId
     * @return
     */
    String getOpenId(String code);

    /**
     * 获取微信昵称
     * @param openId
     * @return
     */
    JSONObject getUserInfo(String openId);
}
